(ns user
  (:require [mount.core :as mount]
            [yenu.figwheel :refer [start-fw stop-fw cljs]]
            yenu.core))

(defn start []
  (mount/start-without #'yenu.core/http-server
                       #'yenu.core/repl-server))

(defn stop []
  (mount/stop-except #'yenu.core/http-server
                     #'yenu.core/repl-server))

(defn restart []
  (stop)
  (start))


