(ns yenu.env
  (:require [selmer.parser :as parser]
            [clojure.tools.logging :as log]
            [yenu.dev-middleware :refer [wrap-dev]]))

(def defaults
  {:init
   (fn []
     (parser/cache-off!)
     (log/info "\n-=[yenu started successfully using the development profile]=-"))
   :stop
   (fn []
     (log/info "\n-=[yenu has shut down successfully]=-"))
   :middleware wrap-dev})
